import { Modal } from "../Modal";
import { useState } from "preact/hooks";

export const Import = () => {
    const [modalOpen, setModalOpen] = useState(false);

    return (
        <>
            <a
                class="show-modal"
                data-modal="chooseTimezoneModal"
                onClick={() => {
                    setModalOpen(true);
                }}
            >
                <span class="icon">
                    <i class="fas fa-exchange"></i>
                </span>{" "}
                Import/Export
            </a>
            {modalOpen && <ImportModal setModalOpen={setModalOpen} />}
        </>
    );
};

const ImportModal = ({ setModalOpen }) => {
    return (
        <Modal
            setModalOpen={setModalOpen}
            title={
                <>
                    Import/Export Manager{" "}
                    <a href="/help/iemanager">
                        <span>
                            <i class="fa fa-question-circle"></i>
                        </span>
                    </a>
                </>
            }
        >
            <>
                <div class="control">
                    <div class="field">
                        <label>
                            <input
                                type="radio"
                                class="default-width"
                                name="exportSelect"
                                value="reminders"
                                checked
                            />
                            Reminders
                        </label>
                    </div>
                </div>
                <br />
                <div class="has-text-centered">
                    <div style="color: red">
                        Please first read the <a href="/help/iemanager">support page</a>
                    </div>
                    <button class="button is-success is-outlined" id="import-data">
                        Import Data
                    </button>
                    <button class="button is-success" id="export-data">
                        Export Data
                    </button>
                </div>
                <a id="downloader" download="export.csv" class="is-hidden"></a>
                <input id="uploader" type="file" hidden></input>
            </>
        </Modal>
    );
};
